# Update a Carrier Connection Certain carriers allow you to update your account authentication details via ShipStation API without [deleting the carrier](/apis/shipengine/docs/reference/carriers/delete-carrier) and reconnecting it. This is useful if you've updated your carrier account password, API key, or other related credentials. ## Requirements * The `carrier_id` and `carrier_name` for the account you wish to update (you can use the [List Carriers](/apis/shipengine/docs/reference/list-carriers) endpoint to gather this informaiton) * The details for the properties you wish to update for that carrier (will vary by carrier) > **INFO:** Not all carriers allow updating their connections using this method. For carriers that do not support updating the connection in this way, you'll need to [delete the carrier](/apis/shipengine/docs/reference/carriers/delete-carrier) and [reconnect it](/apis/shipengine/docs/carriers/connect) with your updated account details. ## Example Request & Response Updating your carrier authentication details uses the following method and endpoint: **PUT /v1/connections/carriers/:carrier_name/:carrier_id** This example updates a Stamps.com account nickname, username, and password. ```http PUT /v1/connections/carriers/stamps_com/se-12345678 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "nickname": "new nickname", "username": "newusername", "password": "supersecretpassword" } ``` No matter which carrier you are updating, the response will return the `carrier_id`. ```json { "carrier_id": "se-12345678" } ``` ## Supported Carriers You can update the carrier authentication details listed for the following carriers: ### Chronopost | Property | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `account_number` | *string* | **required** | | `password` | *string* | **required** | | `injection_address_heading` | object | | | `title` | *string* | Max length: 13 characters | | `name` | *string* | Max length: 100 characters | | `company` | *string* | Max length: 100 characters | | `address1` | *string* | Max length: 38 characters | | `address2` | *string* | Max length: 38 characters | | `city` | *string* | Max length: 50 characters | | `postal_code` | *string* | Max length: 9 characters | | `country` | *string* | Max length: 2 characters | | `contact_name` | *string* | Max length: 100 characters | | `email` | *string* | Max length: 80 characters | | `phone` | *string* | Max length: 17 characters | ### Colissimo | Property | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `username` | *string* | **required** | | `password` | *string* | **required** | ### Endicia | Property | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `account` | *string* | **required** | | `passphrase` | *string* | **required** | ### Mondial Relay | Property | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `api_key` | *string* | **required** Minimum length: 8 characters | | `enseigne` | *string* | **required** | ### Stamps.com | Property | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `username` | *string* | **required** | | `password` | *string* | **required** | ### UPS | Parameter | Type | Description | | --- | --- | --- | | `nickname` | *string* | **required** | | `is_primary_account` | boolean | Indicates the account is or is not the default account. | | `pickup_type` | *enumerated string* | `daily_pickup`, `occasional_pickup`, `customer_counter` See our [Intro to Pickup Dropoff apge](/apis/shipengine/docs/pick-up-drop-off/pudo-intro) to learn more. | | `use_carbon_neutral_shipping_program` | boolean | Adds a fee to the shipment to purchase carbon offset credits. | | `use_ground_freight_pricing` | boolean | An advanced option available for certain UPS services. See our [UPS Ground Freight page](/apis/shipengine/docs/shipping/ups-ground-freight) for more details. | | `use_consolidation_services` | boolean | Enable the use of UPS Mail Innovations® and Ground Saver® services. | | `use_order_number_on_mail_innovations_labels` | boolean | | | `mail_innovations_endorsement` | *ennumerated string* | `return_service_requested` `forwarding_service_requested` `address_service_requested` `change_service_requested` `leave_if_no_response` | | `mail_innovations_cost_center` | *string* | | | `use_negotiated_rates` | boolean | If your account has been approved for negotiated rates, you can enable this option to use those rates. Once enabled, negotiated rates cannot be disabled. | | `account_postal_code` | *string* | **Required** | | `invoice` | string | | | `mail_innovations_customer_id` | *string* | **Required** to get rates for MI services. Also known as UPS MI account number. | | `mail_innovations_customer_guid` | *string* | **Required** to get rates for MI services. Also known as a rate key. | | `account_country_code` | *string* | **Required** 2-character country code associated with the account. | | `account_number` | *string* | | We will update this list as this method becomes available for more carriers.